<%#                                   
    Rosy is a theme for LuCI. It is based on luci-theme-bootstrap
    luci-theme-rosy
        Copyright 2018 Rosy Song <rosysong@rosinson.com>
        Copyright 2018 Yan Lan Shen <yanlan.shen@rosinson.com>
    
    Have a bug? Please create an issue here on GitHub!
        https://github.com/rosywrt/luci-theme-rosy/issues

    luci-theme-bootstrap:
        Copyright 2008 Steven Barth <steven@midlink.org>
        Copyright 2008 Jo-Philipp Wich <jow@openwrt.org>
        Copyright 2012 David Menting <david@nut-bolt.nl>

    Licensed to the public under the Apache License 2.0

-%>

<%
    local ver = require "luci.version"
    local version = {}
    for word in ver.distversion:gmatch("%S+") do table.insert(version, word) end
    verstr=(version[1] or "?")  .. " " .. (version[2] or "?")  .. " " ..  (version[3] or "?")
    local ver = require "luci.version"
    local disp = require "luci.dispatcher"
    local request  = disp.context.path
    local category = request[1]
    local tree = disp.node()
    local categories = disp.node_childs(tree)
%>

</div>
</div>
</div>
<footer>
    <a target="_blank" rel="noopener noreferrer" href="https://www.lantronix.com">Powered by <%= verstr %></a>
<!--    <%= ver.distversion %> -->
    <% if #categories > 1 then %>
    <ul class="breadcrumb pull-right" id="modemenu">
        <% for i, r in ipairs(categories) do %>
            <li<% if request[1]==r then %> class="active"<%end%>><a href="<%=controller%>/<%=r%>/"><%=striptags(translate(tree.nodes[r].title))%></a> <span class="divider">|</span></li>
        <% end %>
    </ul>
    <% end %>

</footer>

<script>                                         
    var luciLocation = <%= luci.http.write_json(luci.dispatcher.context.path) %>;
</script>
<script src="<%=media%>/js/jquery.min.js?v=git-26.154.44782-e7194e5"></script>
<script src="<%=media%>/js/script.js?v=git-26.154.44782-e7194e5"></script>
</body>

</html>
